<div *ngIf="!userLoggedIn" class="center">
  <mat-form-field appearance="legacy">
    <mat-label>Enter User Id</mat-label>
    <input type="number" matInput [formControl]="userIdFormControl">
    <mat-error *ngIf="userIdFormControl.hasError('required')">Please enter User Id</mat-error>
  </mat-form-field>
  <div>
    <button
      mat-raised-button
      type="button"
      [disabled]="!userIdFormControl.valid"
      (click)="onLogIn()">Log In</button>
  </div>
</div>

<div *ngIf="userLoggedIn">
  <nav mat-tab-nav-bar mat-align-tabs="center" class="nav-bar-color" [tabPanel]="tabPanel">
    <a mat-tab-link *ngFor="let link of navLinks"
       [routerLink]="link.path"
       (click)="activeLink = link"
       [active]="activeLink === link">
      {{ link.label }}
    </a>
  </nav>
  <mat-tab-nav-panel #tabPanel></mat-tab-nav-panel>

  <router-outlet></router-outlet>
</div>

